<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="description" content="PHP Demo piece: First Fridays uses maketime and getdate">
<meta name="keywords" content="PHP, timestamp,HTML,CSS,jQuery">
<meta name="author" content="Tom Blum">
<link rel="stylesheet" type="text/css" href="css/GreenWindow.css" />
<title>First Friday</title>
<div class="greenWindow">
<h2><a target="_blank" href="http://www.visitphilly.com/events/philadelphia/first-friday/">First Fridays</a></h2>
<p>"Hosted by the Old City Arts Association since its 1991 inception, First Friday is a unique cultural event in Philadelphia and one of the city's most popular evening escapes. Held the first Friday night of each month, this arts community "open house" brings together city dwellers and suburbanites, contemporary arts and antique collectors, aficionados of classical and contemporary design, and theater and performance buffs."</p>
(<a target="_blank" href="http://www.yelp.com/events/philadelphia-first-friday">http://www.yelp.com/events/philadelphia-first-friday</a>)
<h3>The next twelve First Fridays are on:</h3>
<?php 

date_default_timezone_set('America/New_York');
	// http://php.net/manual/en/function.getdate.php
	$d = getdate();
	$m = $d["mon"];
	$y = $d["year"];

	// http://php.net/manual/en/function.mktime.php
	
	// Prints something like: 2006-04-05T01:02:03+00:00
	//echo date('c', mktime(1, 2, 3, 4, 5, 2006));
	

	$d = getdate(mktime(1,1,1,$m,1,$y));  //the first of the month  
	$ff = (5 - $d["wday"] +7)%7+1;  //the first friday
	
	//see if today is before or after this month's First Friday
	if(mktime(1,1,1,$m,$ff,$y)>mktime(1,1,1))
	{
		$d = getdate(mktime(1,1,1,$m,$ff,$y));
	}
	else
	{
		$m++; //go to next month
		$d = getdate(mktime(1,1,1,$m,1,$y));  
		$ff = (5 - $d["wday"] +7)%7+1;
		$d = getdate(mktime(1,1,1,$m,$ff,$y));
	}
	echo $d["month"] . " " . $d["mday"] . ", " . $d["year"] .  "<br />";

	//next 11 months 
for($i=1; $i<12; $i++)
{
	$d = getdate(mktime(1,1,1,$m+$i,1,$y));  
	$ff = (5 - $d["wday"] +7)%7+1;
	$d = getdate(mktime(1,1,1,$m+$i,$ff,$y));
	
	//see if have gone into next year
	if($m+$i >12)
	{
		$m -=12;  //decrease month
		$y++;	  //increase year
	}
	echo $d["month"] . " " . $d["mday"] . ", " . $d["year"] .  "<br />";
}
?>
</div>

</body>
</html>